/*
 * Hibernate Search, full-text search for your domain model
 *
 * License: GNU Lesser General Public License (LGPL), version 2.1 or later
 * See the lgpl.txt file in the root directory or <http://www.gnu.org/licenses/lgpl-2.1.html>.
 */
package org.hibernate.search.engine.impl;

import org.hibernate.search.engine.BoostStrategy;

/**
 * @author Hardy Ferentschik
 */
public final class DefaultBoostStrategy implements BoostStrategy {

	public static final DefaultBoostStrategy INSTANCE = new DefaultBoostStrategy();

	private DefaultBoostStrategy() {
		//don't create unneeded instances
	}

	@Override
	public float defineBoost(Object value) {
		return 1.0f;
	}
}
